;--------------------------------------------------------------------------
;- AI and Super Command
[Command]
name = "start"
command = ~D, DF, F, b
time = 10

[Command]
name = "ai"
command = x,x,x,x,x,x,x,x,x,x,a+b+c+z+x+y
time = 1

[Command]
name = "ai1"
command = y,y,y,y,y,y,y,y,y,y,a+b+c+z+x+y+U+D+F+B
time = 1

[Command]
name = "ai2"
command = U,U,U,U,U,U,U,U,U,U,U,a+b+c+z+x+y+U+D+F+B
time = 1

[Command]
name = "ai3"
command = z,z,z,z,z,z,z,z,z,z,z,z,a+b+c+z+x+y+U+D+F+B
time = 1

[Command]
name = "ai3"
command = z,z,z,z,z,z,z,z,z,z,z,z,a+b+c+z+x+y+U+D+F+B
time = 1

[Command]
name = "ai3"
command = z,z,z,z,z,z,z,z,z,z,z,z,a+b+c+z+x+y+U+D+F+B
time = 1

[Command]
name = "ai3"
command = z,z,z,z,z,z,z,z,z,z,z,z,a+b+c+z+x+y+U+D+F+B
time = 1


[Command]
name = "ai4"
command = a,b,c,z,x,y,a+b+c+z+x+y+U+D+F+B
time = 1

[Command]
name = "ai5"
command = U,D,F,B,a+b+c+z+x+y+U+D+F+B
time = 1

[Command]
name = "ai6"
command = D,F,U,B,a+b+c+z+x+y+U+D+F+B
time = 1

[Command]
name = "ai7"
command = x,D,x,D,x,D,x,D,a+b+c+z+x+y+U+D+F+B
time = 1

[Command]
name = "ai8"
command = F,F,F,F,F,F,B,U,U,a+b+c+z+x+y+U+D+F+B
time = 1

[Command]
name = "ai9"
command = F,F,F,a+b+c+z+x+y+U+D+F+B
time = 1

[Command]
name = "ai10"
command = B,U,U,a+b+c+z+x+y+U+D+F+B
time = 1

[Command]
name = "ai11"
command = F,F,F,B,U,a+b+c+z+x+y+U+D+F+B
time = 1

[Command]
name = "ai12"
command = F,B,F,B,F,a+b+c+z+x+y+U+D+F+B
time = 1

[Command]
name = "ai13"
command = x,y,z,a,b,c,a+b+c+z+x+y+U+D+F+B
time = 1

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = a+x
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /D
time = 1

[Command]
name = "diagup"
command = /UF
time = 1

[Command]
name = "diagdown"
command = /DF

[Command]
name = "bdiagup"
command = /UB
time = 1

[Command]
name = "bdiagdown"
command = /DB

[Command]
name = "hold_b"
command = /b
time = 1

[Command]
name = "hold_c"
command = /c
time = 1

[Command]
name = "hold_x"
command = /x
time = 1

[Command]
name = "hold_y"
command = /y
time = 1

[Command]
name = "hold_z"
command = /z
time = 1

;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1, Label]           ;Change Label to any name you want to use to
;                               ;identify the state with.
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; Note: The order of state entry is important.
;   State entry with a certain command must come before another state
;   entry with a command that is the subset of the first.
;   For example, command "fwd_a" must be listed before "a", and
;   "fwd_ab" should come before both of the others.
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in.


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

[State -1, Jump]
type = ChangeState
trigger1 = command = "a"
trigger1 = statetype != A
trigger1 = movetype != H
trigger1 = stateno != [1000,1010]
trigger1 = roundstate = 2
value = 40

[State -1, Super Attack]
type = ChangeState
trigger1 = command = "start" || (var(58) = 100005)
trigger1 = statetype = S
trigger1 = movetype != H
trigger1 = power >= 1000
trigger1 = ctrl 
value = 1000

[State -1, AI Super]
type = ChangeState
value = 1000
triggerall = ctrl = 1
triggerall = Var(50) = 1
triggerall = time = 0
triggerall = random > 199 && random <= 999
triggerall = StateType = S
triggerall = roundstate != 4
triggerall = p2stateno = 9010
trigger1 = p2BodyDist X > 200
trigger2 = p2BodyDist X < 300

[State -1, Shoot Normal]
type = ChangeState
trigger1 = command = "b"
trigger1 = ctrl
trigger1 = stateno != 200
trigger1 = statetype = S
trigger1 = movetype != H
value = 200

[State -1, Shoot Machine Gun]
type = ChangeState
trigger1 = command = "c" || command = "hold_c" || (var(58)  = 020506)
trigger1 = stateno != 205
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = movetype != H
value = 205

[State -1, Shoot Spread Gun]
type = ChangeState
trigger1 = command = "x" || (var(58) = 021009)
trigger1 = stateno != 210
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = movetype != H
value = 210

[State -1, Shoot Laser Gun]
type = ChangeState
trigger1 = command = "y" || command = "hold_y"
trigger1 = stateno != 215
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = movetype != H
value = 215

[State -1, Shoot Flame Thrower]
type = ChangeState
trigger1 = command = "z" || command = "hold_z"
trigger1 = stateno != 220
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = movetype != H
value = 220

[State -1, Shoot Normal]
type = ChangeState
triggerall = movetype != H
trigger1 = command = "b"
trigger1 = statetype = C
trigger1 = ctrl
value = 300

[State -1, Shoot Machine Gun]
type = ChangeState
triggerall = movetype != H
triggerall = stateno != [1000,1010]
trigger1 = command = "c" || (var(58) && 030100) = 030100
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = command = "holddown"
trigger2 = statetype != A
trigger2 = command = "hold_c"
trigger2 = stateno != 301
value = 301

[State -1, Shoot Spread Gun]
type = ChangeState
triggerall = movetype != H
trigger1 = command = "x"
trigger1 = statetype = C
trigger1 = ctrl
value = 302

[State -1, Shoot Laser Gun]
type = ChangeState
triggerall = movetype != H
triggerall = stateno != [1000,1010]
trigger1 = command = "y"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = command = "holddown"
trigger2 = statetype != A
trigger2 = command = "hold_y"
trigger2 = stateno != 303
value = 303

[State -1, Shoot Flame Thrower]
type = ChangeState
triggerall = movetype != H
triggerall = stateno != [1000,1010]
trigger1 = command = "z"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = command = "holddown"
trigger2 = statetype != A
trigger2 = command = "hold_z"
trigger2 = stateno != 304
value = 304

[State -1, Shoot Normal]
type = ChangeState
trigger1 = command = "b"
trigger1 = ctrl
trigger1 = stateno != [400,420]
trigger1 = statetype = A
trigger1 = movetype != H
value = 400

[State -1, Shoot Machine Gun]
type = ChangeState
trigger1 = command = "c" || command = "hold_c"
trigger1 = ctrl
trigger1 = stateno != [400,420]
trigger1 = statetype = A
trigger1 = movetype != H
value = 405

[State -1, Shoot Spread Weapon]
type = ChangeState
trigger1 = command = "x"
trigger1 = ctrl
trigger1 = stateno != [400,410]
trigger1 = statetype = A
trigger1 = movetype != H
value = 410

[State -1, Shoot Lazer]
type = ChangeState
trigger1 = command = "y" || command = "hold_y"
trigger1 = ctrl
trigger1 = stateno != [400,420]
trigger1 = statetype = A
trigger1 = movetype != H
value = 415

[State -1, Shoot Fire]
type = ChangeState
trigger1 = command = "z" || command = "hold_z"
trigger1 = ctrl
trigger1 = stateno != [400,420]
trigger1 = statetype = A
trigger1 = movetype != H
value = 420

[State -1, LookUp]
type = ChangeState
trigger1 = command = "holdup"
trigger1 = ctrl
trigger1 = statetype = S
value = 1

[State -1, LookDiagUp]
type = ChangeState
triggerall = ctrl
triggerall = statetype = S
trigger1 = command = "diagup"
trigger2 = command = "bdiagup"
value = 2

[State -1, LookDiagDown]
type = ChangeState
triggerall = ctrl
triggerall = statetype = S
trigger1 = command = "diagdown"
trigger2 = command = "bdiagdown"
value = 3

[State -1, turn]
type = turn
triggerall = stateno != [1000,1010]
trigger1 = command = "holdback"
trigger2 = command = "bdiagup"
trigger3 = command = "bdiagdown"

